#!/usr/bin/php
<?php

require_once '/var/www/api/init.php';

$diContainer = new \Wildix\DependencyInjection\Container();
/** @var \Logger\Log $logger */
$logger = $diContainer->get(\Logger\Log::class);

try {
    $cliOptions = getopt('', ['olderThen:']);
    $olderThan  = $cliOptions['olderThen'] ?? null;
    /** @var \Wildix\Databases\AvatarCache $cacheDbConnection */
    $cacheDbConnection = \Wildix\Databases\AvatarCache::getInstance();
    if ($olderThan) {
        $logger->info(__LINE__, sprintf('Try to clear avatar cache older then: %s', $olderThan));
        $cacheDbConnection->clearCacheByDate($olderThan);
    } else {
        $logger->info(__LINE__, 'Try to clear all avatar cache');
        $cacheDbConnection->clearAllCache();
    }
} catch (\Exception $e) {
    $logger->error(__LINE__, sprintf('Can\'t clear avatar cache. Error[%s]: %s', $e->getCode(), $e->getMessage()));
}
