#!/usr/bin/php
<?php

set_include_path('/var/www');
require_once('init.php');

$_cdrConf = '/etc/callweaver/cdr.conf';
$_scriptName = $argv[0];

if (!file_exists($_cdrConf)){
	return false;
}

// create system log handler
$syslog = new Syslog($_scriptName);

$_cdrConfData = parse_ini_file($_cdrConf, true);

// voice mails
if (!empty ($_cdrConfData['general']['deleteVoicemailAfter'])) {
	try {
        \Wildix\VoiceMail\VoiceMails::getInstance()->deleteAllVoiceMailsAfter($_cdrConfData['general']['deleteVoicemailAfter']);
    } catch (\Exception $exception){
        $syslog->warning(__LINE__, $exception->getMessage());
	}
}

// call recordings
if (!empty ($_cdrConfData['general']['deleteRecordingAfter'])) {
	$callRecs = new \Wildix\CallRecordings();
	try {
        $callRecs->deleteAllCallRecordingsAfter($_cdrConfData['general']['deleteRecordingAfter']);
    } catch (Exception $exception){
        $syslog->warning(__LINE__, $exception->getMessage());
	}
}