#!/usr/bin/php
<?php

use \Wildix\TaskQueue\QueueManager;

require_once '/var/www/api/init.php';

$diContainer = new \Wildix\DependencyInjection\Container();

/**
 * @var \Wildix\Databases\QueueDB
 */
$storage = \Wildix\Databases\QueueDB::getInstance();

/**
 * @var \Logger\Log
 */
$logger = $diContainer->get(\Logger\Log::class);

$logger->info(__LINE__, 'Queue manager: started');
try {
    new QueueManager($storage, $logger);
} catch (\Exception $e) {
    $logger->error(__LINE__, 'Queue manager [ ERROR ]: ' . $e->getMessage());
}

$memory = round((memory_get_peak_usage(true) / (1024 * 1024)), 2) . 'Mb';
$logger->info(__LINE__, 'Queue manager: finished. Memory: ' . $memory);
