window.localStorage.setItem("auth", 0);
window.localStorage.setItem("auth", 0); // hak ie11

pbxGenerateCodesForSecondFactors = ['Email', 'Sms'];

$(document).ready(function() {
	$("#user-auth").focus();
	$('.btn-sing-on-google').on('click', loadGoogleSignOnUrl);
	$('.btn-sing-on-office365').on('click', loadOffice365SignOnUrl);
	isRememberAllowed();

	var portalToken = $('#portalToken');
	var portalUserLogin = $('#portalUserLogin');
	if (portalToken.length && portalUserLogin.length) {
		callbackPortalSingleSignOn(portalUserLogin.val(), portalToken.val());
	}
});

function auth(isTwoFactor) {
	isTwoFactor

	var data = {
		remember: +$(".remember-me__field").is(':checked')
	};

	var error = false;

	if(isTwoFactor){
		data['type'] = 'next';
		data['code'] = $(".form-field__code").val();
		if(data['code'] == ''){
			$(".form-field__code").addClass('error');
			error = true;
		}
	}else{
		data['login'] = $("#user-auth").val();
		data['password'] = $("#password-auth").val();

		if(data['login'] == ''){
			$("#user-auth").addClass('error');
			error = true;
		}

		if(data['password'] == ''){
			$("#password-auth").addClass('error');
			error = true;
		}
	}

	if(error){
		return false;
	}

	sendLoginRequest(data);

	return false;
}

function showTwoFactorForm(secondFactor){
    if (pbxGenerateCodesForSecondFactors.indexOf(secondFactor) === -1) {
        $('form.form-two-factor').removeClass('with-timer');
        $('form.form-two-factor .form-two-factor__subtitle').text('To log in, use the confirmation code generated by the mobile application.');
	} else {
    	$('form.form-two-factor').addClass('with-timer');
        $('form.form-two-factor .form-two-factor__subtitle').text('To log in, use the confirmation code sent to you.');

        var CountDown = function(element) {
            this._element = (element instanceof Element) ? $(element) : element;
            this._timer = null;
            this._controlReset = $('<div/>').attr('title', 'Resend authentication code').addClass('controlReset').addClass('fa').addClass('fa-icon_timer');

            this.load = function() {
                this._controlReset.on('click', this._reload.bind(this));
                this._startTimer();
            };

            this._reload = function() {
                if (this._timer === null) {
                    return;
                }

                this._resendAuthenticationCode();

                this._controlReset.detach();
                this._timer.start();
            };

            this._startTimer = function() {
                var self = this;
                var countdownOptions = {
                    radius: 20,
                    seconds: 180,
                    fontColor: '#000000',
					fontWeight: 'normal',
                    strokeStyle: '#3986C2',
                    fillStyle: '#fff',
                    fontSize: 12,
                    strokeWidth: 2,
                    smooth: true,
                    label: false,
                    autostart: false,
                    onComplete: self._showControls.bind(self)
                };

                this._timer = this._element.countdown360(countdownOptions);
                this._timer.start();
            };

            this._showControls = function() {
                this._element.append(this._controlReset);
            };

            this._resendAuthenticationCode = function() {
            	$.post('/api/v1/personal/settings/TwoFactor/' + secondFactor + '/Code/');
			};
        };

        var countdown = new CountDown($('.countdown'));
        countdown.load();
	}

    $('form.form-auth__body').hide();
    $('form.form-two-factor').show();
	$(".form-field__code").focus();
}

function sendLoginRequest(data){
	$('.form-auth input.error').removeClass('error');

	$('.form-auth .form-wrap').mask('Loading...');

	let isOauthMode = typeof oauth2Mode === 'boolean' && oauth2Mode === true && typeof oauth2GrantUrl === 'string';

	let url = isOauthMode ? '../authorization/oauth2Login' : '../api/v1/personal/login';

	$.ajax({
		type: 'POST',
		url: url,
		data: data,
		success: function(data, textStatus, jqXHR){
			$('.form-error__message').html("");
			if(data && data.type == 'result' ){
				if(data.result == 'OK'){
					if (isOauthMode) {
						window.location = oauth2GrantUrl;
					} else {
						window.location = location.search.replace(/^\?/, '..') ? location.search.replace(/^\?/, '..') : '../';
					}
				}else if(data.result['next']){
					$('.form-auth').unmask();
					showTwoFactorForm(data.result['next']);
				}
			}

		},
		error: function(jqXHR, textStatus, errorThrown){
			$('.form-auth .form-wrap').unmask();
			var response = JSON.parse(jqXHR.responseText);

			if(response.type == 'error' && response.reason && response.reason!=''){
				let result = $('.form-error__message').html(response.reason);
				let formParent = $('.form-error__message:visible').parents("form");
				console.log(formParent);
				formParent.find(".form-field").addClass( "error-field" );
			}
		},
		complete: function(jqXHR, textStatus){

		}
	});
}

function callbackGoogleSingleSignOn(data){
	if(data){
		if(data.error && data.error_description){
			$('.form-error__message').html(data.error_description);
		}else if(data.token && data.userInfo){
			$("#user-auth").val(data.userInfo.email);
			$("#password-auth").val('');

			var login = $("#user-auth").val();

			var error = false;
			if(login == ''){
				$("#user-auth").addClass('error');
				error = true;
			}

			if(error){
				return false;
			}

			sendLoginRequest({
				type: 'google',
				login: login,
				remember: +$(".remember-me__field").is(':checked'),
				token: data.token
			});
		}
	}
}


function callbackMicrosoftSingleSignOn(data){
	if(data){
		if(data.error && data.error_description){
			$('.form-error__message').html(data.error_description);
		}else if(data.token && data.userInfo){
			$("#user-auth").val(data.userInfo.preferred_username);
			$("#password-auth").val('');

			var login = $("#user-auth").val();

			var error = false;
			if(login == ''){
				$("#user-auth").addClass('error');
				error = true;
			}

			if(error){
				return false;
			}

			sendLoginRequest({
				type: 'microsoft',
				login: login,
				remember: +$(".remember-me__field").is(':checked'),
				token: data.token
			});
		}
	}
}

function callbackPortalSingleSignOn(login, token) {
	if (login && token) {
		$("#user-auth").val(login);
		$("#password-auth").val('');

		sendLoginRequest({
			type: 'portal',
			login: login,
			remember: false,
			token: token
		});
	}
}

function loadOffice365SignOnUrl(){
	window.open(
			'../api/Microsoft/SingleSignOn/?callback=callbackMicrosoftSingleSignOn',
			"Windows sing on",
			"location=0,status=0,scrollbars=0,width=800,height=500"
			);
}

function loadGoogleSignOnUrl(){
	window.open(
			'../api/Google/SingleSignOn/?callback=callbackGoogleSingleSignOn',
			"Google sing on",
			"location=0,status=0,scrollbars=0,width=800,height=500"
			);
}

function isRememberAllowed(){
	if(location.protocol !== 'https:'){
		$('.remember-me__field').attr('disabled', true);
	}
}

$(document).ready(function() {

	const classPassShow = "fa-icon-password-show";
	const classPassHide = "fa-icon-password-hide";
	const btnShowPassword = document.querySelector(".btn-show-password");
	const btnShowImage = btnShowPassword.querySelector(".image_password");
	const authPassword = document.querySelector(".form-item_password .form-field__password");

	function showPassword (e) {
		if (authPassword.type === "password") {
			authPassword.type = "text";
			btnShowImage.classList.remove(classPassHide);
			btnShowImage.classList.add(classPassShow);
		} else {
			authPassword.type = "password";
			btnShowImage.classList.add(classPassHide);
			btnShowImage.classList.remove(classPassShow);
		}
	}

	btnShowPassword.addEventListener("click", showPassword);

	$(".authorization form .form-field").on("input", function() {
		if($(".authorization .form-error__message:contains(text)")){
			$('.form-error__message').html("");
			$(".authorization form .form-field").removeClass("error-field");
		}
	});

});
