<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html"/>

    <xsl:template match="/root/modules/module_function_keys/tab">
         <li id="cti_main_tabs_function_keys_tab" class="main-menu-col__li" style="display:none;">
            <a class="main-menu-col__item tooltip" href="#module_function_keys_tab_content">
				<div class="main-menu-col__icon">
					<svg class="icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
						<use xlink:href="../css/icons-sprite.svg#icon_fn-keys"/>
					</svg>
				</div>
				<div class="main-menu-col__title">
					<xsl:value-of select="/root/trans_texts/menu.settings.FunctionKeys" />
				</div>
				<div class="tooltip-text tooltip-bottom">
					<xsl:value-of select="/root/trans_texts/menu.settings.FunctionKeys" />
				</div>
           	</a>
        </li>
    </xsl:template>

    <xsl:template match="/root/modules/module_function_keys">
            <div id="module_function_keys_tab_content">
	            <div style="clear:both" />
				<div id="fkeys_window" >
                    <div id="fkeys_items" class="roster_items">
                    	<div class="module_fkeys_main_columns_div" style="height: 100%">
                    		<div id="fkeys_column" class="module_roster_main_columns_column_single" >
                    			<div class="items ">
                    			</div>
                    		</div>
                    	</div>
                    </div>
				</div>
				<div style="clear:both" />
            </div>
    </xsl:template>

    <xsl:template match="/root/modules/module_function_keys/context-menu">
			<div id="fkeys_context_menu" class="cti_context_menu block_shadow">
				<ul>
					<li rel="chat"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.StartChat"/></a></li>
					<li rel="call"><a href="#"><xsl:value-of select="/root/trans_texts/context.menu.Call"/>: <span></span></a></li>
					<li rel="call"><a href="#"><xsl:value-of select="/root/trans_texts/main.OfficeNumber"/>: <span></span></a></li>
					<li rel="call"><a href="#"><xsl:value-of select="/root/trans_texts/main.MobileNumber"/>: <span></span></a></li>
					<li rel="sms"><a href="#"><xsl:value-of select="/root/trans_texts/sms.SendSMS"/>: <span></span></a></li>
					<li rel="fax"><a href="#"><xsl:value-of select="/root/trans_texts/main.Fax"/>: <span></span></a></li>
					<xsl:if test="/root/modules/module_postit/button/@enabled = '1'">
					<li rel="message"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.SendMessage"/></a></li>
					</xsl:if>
					<li rel="recall"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.CallMe"/></a></li>
					<li rel="email"><a href="#"><xsl:value-of select="/root/trans_texts/main.EMail"/>: <span></span></a></li>
					<li rel="showbyphone"><a href="#"><xsl:value-of select="/root/trans_texts/link.ShowContact"/></a></li>
					<li rel="pickup"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.PickUp"/></a></li>
					<li rel="listen"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.Listen"/></a></li>
					<li rel="barge"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.Barge"/></a></li>
					<li rel="whisper"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.Whisper"/></a></li>
					<li rel="setPresence"><a href="#"><xsl:value-of select="/root/trans_texts/roster.menu.setPresence"/></a></li>
					<xsl:if test="/root/@ipad > 0">
						<hr/>
						<li rel="close">
							<a href="#"><xsl:value-of select="/root/trans_texts/buttons.Close" /></a>
						</li>
					</xsl:if>
				</ul>
			</div>
	</xsl:template>
</xsl:stylesheet>
