<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html"/>

    <xsl:template match="/root/modules/module_history/tab_content">

        <div id="cti_main_tabs_history">
                <script id="tmpl-search" type="text/tmpl-search">
                    <div class="search_panel_container">
                        <div class="search_panel_main ui-corner-all">
                            <span class="search_icon fa fa-filter "></span>
                            <input type="text" class="search_input cti_md"></input>
                        </div>
                    </div>
                    <div class="search_panel_container">
                        <select id="module_history_filter" class="cti_md">
                            <option value="module_history_filter_all"><xsl:value-of select="/root/trans_texts/calls.All" /></option>
                            <option value="module_history_filter_incoming"><xsl:value-of select="/root/trans_texts/calls.Incoming" /></option>
                            <option value="module_history_filter_outgoing"><xsl:value-of select="/root/trans_texts/calls.Outgoing" /></option>
                            <option value="module_history_filter_missed"><xsl:value-of select="/root/trans_texts/tabs.CallsHistory.Missed" /></option>
                            <option value="module_history_filter_faxin"><xsl:value-of select="/root/trans_texts/fax.fax_in" /></option>
                            <option value="module_history_filter_faxout"><xsl:value-of select="/root/trans_texts/fax.fax_out" /></option>
                            <option value="module_history_filter_archived"><xsl:value-of select="/root/trans_texts/tabs.CallsHistory.Archived" /></option>
                        </select>
                    </div>
                    <div class="search_panel_container">
                        <div class="search_panel_main ui-corner-all">
                            <input type="text" id="module_history_filter_date_end" class="cti_md" />
                        </div>
                    </div>
                    <div class="search_panel_container history_navigation_notes_button_wrap">
	                    <button class="module_history_navigation_notes_button module_history_navigation_button cti_md cti_md_bt">
	                        <xsl:value-of select="/root/trans_texts/main.Notes" />
	                    </button>
                    </div>
                    <xsl:if test="/root/modules/module_cdrview/@enabled = '1'">
                    	<xsl:if test="/root/@ipad != 1">
		                    <div class="search_panel_container">
			                    <button class="module_history_navigation_cdrview_button module_history_navigation_button cti_md cti_md_bt">
			                        <xsl:value-of select="/root/trans_texts/tabs.Charts" />
			                    </button>
		                    </div>
                    	</xsl:if>
                    </xsl:if>
                    <div class="search_panel_container">
	                    <button class="module_history_navigation_update_button module_history_navigation_button  cti_md cti_md_bt" style="display:none;">
	                        <xsl:value-of select="/root/trans_texts/main.update" />
	                    </button>
                    </div>
                    <div style="clear:both;"></div>

                </script>

                <div id="module_history_main_div">
                    <div id="module_history_grid_pager"></div>
                    <table id="module_history_grid_table"></table>
                </div>
                <div style="clear:both" />
        </div>

        <div id="module_history_context_menu" class="cti_context_menu  block_shadow">
                <ul>
                        <li rel="call" id="module_history_menu_call"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/context.menu.Call"/></a></li>
                        <li rel="mobile" id="module_history_menu_mobile"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/context.menu.CallMobile"/></a></li>
                        <xsl:if test="/root/modules/module_fax/@enabled = '1'">
	                    	<li rel="fax" id="module_history_menu_fax"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/context.menu.SendFax"/></a></li>
	                    </xsl:if>
	                    <xsl:if test="/root/modules/module_sms/@enabled = '1'">
                        	<li rel="sms" id="module_history_menu_sms"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/context.menu.SendSMS"/></a></li>
                        </xsl:if>
                        <li rel="smsViaClassound" id="module_history_menu_smsViaClassound"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/sms.SendSMSviaClassound"/></a></li>
                        <li rel="email" id="module_history_menu_email"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/context.menu.SendEMail"/></a></li>
                        <li rel="tags" id="module_history_menu_tags"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/calls.Tags"/></a></li>
                        <li rel="add" id="module_history_menu_add"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/link.AddContact"/></a></li>
                        <li rel="chat" id="module_history_menu_chat"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/roster.menu.StartChat"/></a></li>
                        <li rel="show" id="module_history_menu_show"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/link.ShowContact"/></a></li>
                        <li rel="archive" id="module_history_menu_archive"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/buttons.Archive"/></a></li>
                        <li rel="recover" id="module_history_menu_recover"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/buttons.Recover"/></a></li>
                        <li rel="delete" id="module_history_menu_delete"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/buttons.Delete"/></a></li>
                </ul>
        </div>

        <div id="module_history_delete_call_confirm" class="hidden_block">
            <xsl:value-of select="/root/trans_texts/calls.confirmDelete" />
        </div>

    </xsl:template>


    <xsl:template match="/root/modules/module_history/tab">
        <li id="cti_main_tabs_history_tab" class="main-menu-col__li">
            <a class="main-menu-col__item tooltip" href="#cti_main_tabs_history">
                <div class="main-menu-col__icon">
                    <svg class="icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                        <use xlink:href="../css/icons-sprite.svg#icon_history"/>
                    </svg>
                </div>
                <div class="main-menu-col__title">
                    <xsl:value-of select="/root/trans_texts/tabs.CallsHistory" />
                </div>
                <div class="tooltip-text tooltip-bottom">
                    <xsl:value-of select="/root/trans_texts/tabs.CallsHistory" />
                </div>
            </a>
        </li>
    </xsl:template>


</xsl:stylesheet>
