<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html"/>

    <xsl:template match="/root/modules/module_phonebook/tab_content">

        <div id="cti_main_tabs_phonebook" class="tab_element">
            <div id="module_phonebook_details_container_contacts">
                <script id="tmpl-search-contact" type="text/tmpl-search">
                    <div class="search_panel_container">
                        <div class="search_panel_main ui-corner-all">
                            <span class="search_icon fa fa-filter"></span>
                            <input type="text" class="search_input cti_md"></input>
                        </div>
                    </div>
                    <div class="search_panel_container">
                        <select id="phonebook_dir_selector" class="cti_md"></select>
                    </div>
                </script>
				<div id="module_phonebook_grid_pager"></div>
                <table id="module_phonebook_grid_contacts"></table>
            </div>

            <div id="module_phonebook_details_container_all" class="scrollable_div">
                <div id="module_phonebook_details">
                    <xsl:apply-templates select="/root/modules/module_phonebook/details" />
                </div>
            </div>

            <div style="clear:both"></div>

            <div id="module_phonebook_phonebook_del_question" class="hidden_block"><xsl:value-of select="/root/trans_texts/main.phonebook_del_question" /></div>
            <div id="module_phonebook_contact_del_question" class="hidden_block"><xsl:value-of select="/root/trans_texts/main.contact_del_question" /></div>
            <div id="module_phonebook_phonebook_permissions_edit" class="hidden_block"><xsl:value-of select="/root/trans_texts/main.permissions" /></div>

            <div id="phonebook_context_menu" class="cti_context_menu block_shadow">
                <ul>
                    <li rel="call" id="phonebook_menu_call"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/context.menu.Call"/>: <span></span></a></li>
                    <li rel="sms" id="phonebook_menu_sms"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/sms.SendSMS"/>: <span></span></a></li>
                    <li rel="smsViaClassound" id="phonebook_menu_smsViaClassound"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/sms.SendSMSviaClassound"/>: <span></span></a></li>
                    <li rel="fax" id="phonebook_menu_fax"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/main.Fax"/>: <span></span></a></li>
                    <li rel="email" id="phonebook_menu_email"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/main.EMail"/>: <span></span></a></li>
                    <li rel="notes" ><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/main.Notes"/><span></span></a></li>
                    <li rel="edit" id="phonebook_menu_edit"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/buttons.Edit" /><span></span></a></li>
                    <li rel="remove" id="phonebook_menu_remove"><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/roster.menu.Remove" /><span></span></a></li>
                    <li rel="add" ><a href="javascript:void(0);"><xsl:value-of select="/root/trans_texts/link.AddContact"/><span></span></a></li>
                </ul>
            </div>

            <div id="phonebook_main_area">
	            <table id="module_phonebook_grid_phonebooks"></table>
	        </div>

	        <div id="phonebook_map_area">
	            <div id="phonebook_element_map_area"></div>
	        </div>
        </div>
    </xsl:template>

    <xsl:template match="/root/modules/module_phonebook/tab">
        <li class="main-menu-col__li">
            <a class="main-menu-col__item tooltip" href="#cti_main_tabs_phonebook">
                <div class="main-menu-col__icon">
                    <svg class="icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                        <use xlink:href="../css/icons-sprite.svg#icon_contacts"/>
                    </svg>
                </div>
                <div class="main-menu-col__title">
                    <xsl:value-of select="/root/trans_texts/main.Phonebook" />
                </div>
                <div class="tooltip-text tooltip-bottom">
                    <xsl:value-of select="/root/trans_texts/main.Phonebook" />
                </div>
            </a>
        </li>
    </xsl:template>

    <xsl:template match="/root/modules/module_phonebook/details">
        <div id="module_phonebook_details_element_name" style="position: relative; width: 335px;">
            <div class="module_phonebook_details_field_avatar" id="module_phonebook_details_avatar">
                <img src="data/images/default_avatar.png" id="module_phonebook_details_avatar_image" />
            </div>
            <div class="module_phonebook_details_field_val" style="width: 150px; padding-left: 5px; padding-top: 7px;">
                <div id="module_phonebook_details_username_title" style="float:left; margin-top: 0px; margin-right: 10px; font-size: 14px;">
                </div>
                <div id="module_phonebook_details_username">
                </div>
                <div id="module_phonebook_details_organization">
                </div>
            </div>

            <div id="module_phonebook_details_element_gmap_address">
                <input type="hidden" name="module_phonebook_details_gmap_country" />
                <input type="hidden" name="module_phonebook_details_gmap_city" />
                <input type="hidden" name="module_phonebook_details_gmap_address" />
                <button>
                    <xsl:value-of select="/root/trans_texts/phonebooks.button.showinmap" />
                </button>
            </div>

            <div class="module_phonebook_details_field_val_input" style="padding-top:7px;">
                <div class="module_phonebook_details_field_val_input">
                	<input type="text" class="module_phonebook_editable_details" id="module_phonebook_details_username_input" >
                	    <xsl:attribute name="placeholder">
                            <xsl:value-of select="/root/trans_texts/main.Name" />
                        </xsl:attribute>
                    </input>
                </div>
                <div style="clear:both" />
                <div class="module_phonebook_details_field_val_input" style="margin-top: 10px">
                    <input type="text" class="module_phonebook_editable_details" id="module_phonebook_details_organization_input">
                        <xsl:attribute name="placeholder">
                            <xsl:value-of select="/root/trans_texts/main.Organisation" />
                        </xsl:attribute>
                    </input>
                </div>
            </div>

            <div style="position: absolute; top:-5px; right:-50px;">
                <button id="module_phonebook_edit_contact_button" class="cti_md cti_md_bt_ico cti_md_size2">
                    <xsl:attribute name="title">
                        <xsl:value-of select="/root/trans_texts/buttons.Edit" />
                    </xsl:attribute>
                    <i class="fa fa-pencil"></i>
                </button>
                <button id="module_phonebook_save_contact_button"  class="cti_md cti_md_bt_ico cti_md_size2">
                    <xsl:attribute name="title">
                        <xsl:value-of select="/root/trans_texts/buttons.Save" />
                    </xsl:attribute>
                    <i class="fa fa-check"></i>
                </button>
            </div>



            <div class="module_phonebook_details_field_val_input">
                <input type="text" class="cti_md module_phonebook_editable_details" id="module_phonebook_details_avatar_input" />
            </div>
			<div class="clear"></div>
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_phonebook">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/main.Phonebook" /></div>
            <div class="module_phonebook_details_field_val_input">
                <select class="cti_md module_phonebook_editable_details" id="module_phonebook_details_phonebook_input" name="phonebook" value="">
                </select>
            </div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_name_prefix">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/hotels.title" /></div>
            <div class="module_phonebook_details_field_val" id="module_phonebook_details_name_prefix"></div>
            <div class="module_phonebook_details_field_val_input"><input type="text" class="module_phonebook_editable_details" id="module_phonebook_details_name_prefix_input" /></div>
            <div style="clear:both" />
        </div>
        <div class="module_phonebook_element_div" id="module_phonebook_details_element_owner_id">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/phonebooks.contacts.owner" /></div>
            <div class="module_phonebook_details_field_val" id="module_phonebook_details_owner_id"></div>
            <div class="module_phonebook_details_field_val_input"><input type="text" class="module_phonebook_editable_details" id="module_phonebook_details_owner_id_input" /></div>
            <div style="clear:both" />
        </div>
        <div class="module_phonebook_element_div" id="module_phonebook_details_element_ext">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/main.Extension" /></div>
            <div class="module_phonebook_details_field_val module_phonebook_call_num" id="module_phonebook_details_ext"></div>
            <div class="module_phonebook_details_field_val_input">
                <xsl:choose>
                    <xsl:when test="/root/@ipad > 0">
                        <input type="number" class="cti_md module_phonebook_editable_details module_phonebook_call_num_input" id="module_phonebook_details_ext_input" />
                    </xsl:when>
                    <xsl:otherwise>
                        <input type="text" class="cti_md module_phonebook_editable_details module_phonebook_call_num_input" id="module_phonebook_details_ext_input" />
                    </xsl:otherwise>
                </xsl:choose>
            </div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_office_num">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/main.OfficeNumber" /></div>
            <div class="module_phonebook_details_field_val module_phonebook_call_num" id="module_phonebook_details_office_num"></div>
            <div class="module_phonebook_details_field_val_input">
                <xsl:choose>
                    <xsl:when test="/root/@ipad > 0">
                        <input type="number" class="cti_md module_phonebook_editable_details module_phonebook_call_num_input" id="module_phonebook_details_office_num_input" />
                    </xsl:when>
                    <xsl:otherwise>
                        <input type="text" class="cti_md module_phonebook_editable_details module_phonebook_call_num_input" id="module_phonebook_details_office_num_input" />
                    </xsl:otherwise>
                </xsl:choose>
            </div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_mobile">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/main.MobileNumber" /></div>
            <div class="module_phonebook_details_field_val module_phonebook_call_num" id="module_phonebook_details_mobile"></div>
            <div class="module_phonebook_details_field_val_input">
                <xsl:choose>
                    <xsl:when test="/root/@ipad > 0">
                        <input type="number" class="cti_md module_phonebook_editable_details module_phonebook_call_num_input" id="module_phonebook_details_mobile_input" />
                    </xsl:when>
                    <xsl:otherwise>
                        <input type="text" class="cti_md module_phonebook_editable_details module_phonebook_call_num_input" id="module_phonebook_details_mobile_input" />
                    </xsl:otherwise>
                </xsl:choose>
            </div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_home_num">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/main.HomeNumber" /></div>
            <div class="module_phonebook_details_field_val module_phonebook_call_num" id="module_phonebook_details_home_num"></div>
            <div class="module_phonebook_details_field_val_input">
                <xsl:choose>
                    <xsl:when test="/root/@ipad > 0">
                        <input type="number" class="cti_md module_phonebook_editable_details module_phonebook_call_num_input" id="module_phonebook_details_home_num_input" />
                    </xsl:when>
                    <xsl:otherwise>
                        <input type="text" class="cti_md module_phonebook_editable_details module_phonebook_call_num_input" id="module_phonebook_details_home_num_input" />
                    </xsl:otherwise>
                </xsl:choose>
            </div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_home_mobile">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/main.HomeMobileNumber" /></div>
            <div class="module_phonebook_details_field_val module_phonebook_call_num" id="module_phonebook_details_home_mobile"></div>
            <div class="module_phonebook_details_field_val_input">
                <xsl:choose>
                    <xsl:when test="/root/@ipad > 0">
                        <input type="number" class="cti_md module_phonebook_editable_details module_phonebook_call_num_input" id="module_phonebook_details_home_mobile_input" />
                    </xsl:when>
                    <xsl:otherwise>
                        <input type="text" class="cti_md module_phonebook_editable_details module_phonebook_call_num_input" id="module_phonebook_details_home_mobile_input" />
                    </xsl:otherwise>
                </xsl:choose>
            </div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_phone">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/main.PhoneNumber" /></div>
            <div class="module_phonebook_details_field_val module_phonebook_call_num" id="module_phonebook_details_phone_num"></div>
            <div class="module_phonebook_details_field_val_input">
                <xsl:choose>
                    <xsl:when test="/root/@ipad > 0">
                        <input type="number" class="cti_md module_phonebook_editable_details module_phonebook_call_num_input" id="module_phonebook_details_phone_num_input" />
                    </xsl:when>
                    <xsl:otherwise>
                        <input type="text" class="cti_md module_phonebook_editable_details module_phonebook_call_num_input" id="module_phonebook_details_phone_num_input" />
                    </xsl:otherwise>
                </xsl:choose>
            </div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_fax">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/main.Fax" /></div>
            <div class="module_phonebook_details_field_val" id="module_phonebook_details_fax"></div>
            <div class="module_phonebook_details_field_val_input">
                <xsl:choose>
                    <xsl:when test="/root/@ipad > 0">
                        <input type="number" class="cti_md module_phonebook_editable_details" id="module_phonebook_details_fax_input" />
                    </xsl:when>
                    <xsl:otherwise>
                        <input type="text" class="cti_md module_phonebook_editable_details" id="module_phonebook_details_fax_input" />
                    </xsl:otherwise>
                </xsl:choose>
            </div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_shortcut">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/main.Shortcut" /></div>
            <div class="module_phonebook_details_field_val module_phonebook_call_num" id="module_phonebook_details_shortcut"></div>
            <div class="module_phonebook_details_field_val_input">
                <xsl:choose>
                    <xsl:when test="/root/@ipad > 0">
                        <input type="number" class="cti_md module_phonebook_editable_details" id="module_phonebook_details_shortcut_input" />
                    </xsl:when>
                    <xsl:otherwise>
                        <input type="text" class="cti_md module_phonebook_editable_details" id="module_phonebook_details_shortcut_input" />
                    </xsl:otherwise>
                </xsl:choose>
            </div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_email">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/main.EMail" /></div>
            <div class="module_phonebook_details_field_val" id="module_phonebook_details_email"></div>
            <div class="module_phonebook_details_field_val_input"><input type="email" class="cti_md module_phonebook_editable_details" id="module_phonebook_details_email_input" /></div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_address">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/main.Address" /></div>
            <div class="module_phonebook_details_field_val" id="module_phonebook_details_address"></div>
            <div class="module_phonebook_details_field_val_input"><input type="text" class="cti_md module_phonebook_editable_details" id="module_phonebook_details_address_input" /></div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_city">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/main.city" /></div>
            <div class="module_phonebook_details_field_val" id="module_phonebook_details_city"></div>
            <div class="module_phonebook_details_field_val_input"><input type="text" class="cti_md module_phonebook_editable_details" id="module_phonebook_details_city_input" /></div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_postal_code">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/main.postal_code" /></div>
            <div class="module_phonebook_details_field_val" id="module_phonebook_details_postal_code"></div>
            <div class="module_phonebook_details_field_val_input">
                <xsl:choose>
                    <xsl:when test="/root/@ipad > 0">
                        <input type="number" class="cti_md module_phonebook_editable_details" id="module_phonebook_details_postal_code_input" />
                    </xsl:when>
                    <xsl:otherwise>
                        <input type="text" class="cti_md module_phonebook_editable_details" id="module_phonebook_details_postal_code_input" />
                    </xsl:otherwise>
                </xsl:choose>
            </div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_country">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/main.country" /></div>
            <div class="module_phonebook_details_field_val" id="module_phonebook_details_country"></div>
            <div class="module_phonebook_details_field_val_input">
                <select class="cti_md module_phonebook_editable_details" id="module_phonebook_details_country_input">
                    <option value="it" selected="yes">Italy</option>
                    <option value="us">United States</option>
                    <option value="uk">United Kingdom</option>
                    <option value="af">Afghanistan</option>
                    <option value="al">Albania</option>
                    <option value="dz">Algeria</option>
                    <option value="ad">Andorra</option>
                    <option value="ao">Angola</option>
                    <option value="aa">Anguilla</option>
                    <option value="ar">Argentina</option>
                    <option value="am">Armenia</option>
                    <option value="aw">Aruba</option>
                    <option value="au">Australia</option>
                    <option value="at">Austria</option>
                    <option value="az">Azerbaijan</option>
                    <option value="bs">Bahamas</option>
                    <option value="bh">Bahrain</option>
                    <option value="bd">Bangladesh</option>
                    <option value="bb">Barbados</option>
                    <option value="by">Belarus</option>
                    <option value="be">Belgium</option>
                    <option value="bz">Belize</option>
                    <option value="bj">Benin</option>
                    <option value="bm">Bermuda</option>
                    <option value="bt">Bhutan</option>
                    <option value="bo">Bolivia</option>
                    <option value="ba">Bosnia and Herzegovina</option>
                    <option value="bw">Botswana</option>
                    <option value="bv">Bouvet Island</option>
                    <option value="br">Brazil</option>
                    <option value="io">British Indian Ocean Territory</option>
                    <option value="bn">Brunei Darussalam</option>
                    <option value="bg">Bulgaria</option>
                    <option value="bf">Burkina Faso</option>
                    <option value="bi">Burundi</option>
                    <option value="kh">Cambodia</option>
                    <option value="cm">Cameroon</option>
                    <option value="ca">Canada</option>
                    <option value="cv">Cape Verde</option>
                    <option value="ky">Cayman Islands</option>
                    <option value="cf">Central African Republic</option>
                    <option value="td">Chad</option>
                    <option value="cl">Chile</option>
                    <option value="cn">China</option>
                    <option value="cx">Christmas Island</option>
                    <option value="cc">Cocos (Keeling) Islands</option>
                    <option value="co">Colombia</option>
                    <option value="km">Comoros</option>
                    <option value="cg">Congo</option>
                    <option value="cd">Congo, The Democratic Republic of The</option>
                    <option value="ck">Cook Islands</option>
                    <option value="cr">Costa Rica</option>
                    <option value="ci">Cote D'ivoire</option>
                    <option value="hr">Croatia</option>
                    <option value="cu">Cuba</option>
                    <option value="cy">Cyprus</option>
                    <option value="cz">Czech Republic</option>
                    <option value="dk">Denmark</option>
                    <option value="dj">Djibouti</option>
                    <option value="dm">Dominica</option>
                    <option value="do">Dominican Republic</option>
                    <option value="ec">Ecuador</option>
                    <option value="eg">Egypt</option>
                    <option value="sv">El Salvador</option>
                    <option value="gq">Equatorial Guinea</option>
                    <option value="er">Eritrea</option>
                    <option value="ee">Estonia</option>
                    <option value="et">Ethiopia</option>
                    <option value="fk">Falkland Islands (Malvinas)</option>
                    <option value="fo">Faroe Islands</option>
                    <option value="fj">Fiji</option>
                    <option value="fi">Finland</option>
                    <option value="fr">France</option>
                    <option value="gf">French Guiana</option>
                    <option value="pf">French Polynesia</option>
                    <option value="tf">French Southern Territories</option>
                    <option value="ga">Gabon</option>
                    <option value="gm">Gambia</option>
                    <option value="ge">Georgia</option>
                    <option value="de">Germany</option>
                    <option value="gh">Ghana</option>
                    <option value="gi">Gibraltar</option>
                    <option value="gr">Greece</option>
                    <option value="gl">Greenland</option>
                    <option value="gd">Grenada</option>
                    <option value="gp">Guadeloupe</option>
                    <option value="gu">Guam</option>
                    <option value="gt">Guatemala</option>
                    <option value="gn">Guinea</option>
                    <option value="gw">Guinea-bissau</option>
                    <option value="gy">Guyana</option>
                    <option value="ht">Haiti</option>
                    <option value="va">Holy See (Vatican City State)</option>
                    <option value="hn">Honduras</option>
                    <option value="hk">Hong Kong</option>
                    <option value="hu">Hungary</option>
                    <option value="is">Iceland</option>
                    <option value="in">India</option>
                    <option value="id">Indonesia</option>
                    <option value="ir">Iran, Islamic Republic of</option>
                    <option value="iq">Iraq</option>
                    <option value="ie">Ireland</option>
                    <option value="il">Israel</option>
                    <option value="jm">Jamaica</option>
                    <option value="jp">Japan</option>
                    <option value="jo">Jordan</option>
                    <option value="kz">Kazakhstan</option>
                    <option value="ke">Kenya</option>
                    <option value="ki">Kiribati</option>
                    <option value="kp">Korea, Democratic People's Republic of</option>
                    <option value="kr">Korea, Republic of</option>
                    <option value="kw">Kuwait</option>
                    <option value="kg">Kyrgyzstan</option>
                    <option value="lv">Latvia</option>
                    <option value="lb">Lebanon</option>
                    <option value="ls">Lesotho</option>
                    <option value="lr">Liberia</option>
                    <option value="ly">Libyan Arab Jamahiriya</option>
                    <option value="li">Liechtenstein</option>
                    <option value="lt">Lithuania</option>
                    <option value="lu">Luxembourg</option>
                    <option value="mo">Macao</option>
                    <option value="mk">Macedonia, The Former Yugoslav Republic of</option>
                    <option value="mg">Madagascar</option>
                    <option value="mw">Malawi</option>
                    <option value="my">Malaysia</option>
                    <option value="mv">Maldives</option>
                    <option value="ml">Mali</option>
                    <option value="mt">Malta</option>
                    <option value="mh">Marshall Islands</option>
                    <option value="mq">Martinique</option>
                    <option value="mr">Mauritania</option>
                    <option value="mu">Mauritius</option>
                    <option value="yt">Mayotte</option>
                    <option value="mx">Mexico</option>
                    <option value="fm">Micronesia, Federated States of</option>
                    <option value="md">Moldova, Republic of</option>
                    <option value="mc">Monaco</option>
                    <option value="mn">Mongolia</option>
                    <option value="ms">Montserrat</option>
                    <option value="ma">Morocco</option>
                    <option value="mz">Mozambique</option>
                    <option value="mm">Myanmar</option>
                    <option value="na">Namibia</option>
                    <option value="nr">Nauru</option>
                    <option value="np">Nepal</option>
                    <option value="nl">Netherlands</option>
                    <option value="an">Netherlands Antilles</option>
                    <option value="nc">New Caledonia</option>
                    <option value="nz">New Zealand</option>
                    <option value="ni">Nicaragua</option>
                    <option value="ne">Niger</option>
                    <option value="ng">Nigeria</option>
                    <option value="nu">Niue</option>
                    <option value="nf">Norfolk Island</option>
                    <option value="mp">Northern Mariana Islands</option>
                    <option value="no">Norway</option>
                    <option value="om">Oman</option>
                    <option value="pk">Pakistan</option>
                    <option value="pw">Palau</option>
                    <option value="pa">Panama</option>
                    <option value="pg">Papua New Guinea</option>
                    <option value="py">Paraguay</option>
                    <option value="pe">Peru</option>
                    <option value="ph">Philippines</option>
                    <option value="pn">Pitcairn</option>
                    <option value="pl">Poland</option>
                    <option value="pt">Portugal</option>
                    <option value="pr">Puerto Rico</option>
                    <option value="qa">Qatar</option>
                    <option value="ro">Romania</option>
                    <option value="ru">Russian Federation</option>
                    <option value="rw">Rwanda</option>
                    <option value="sh">Saint Helena</option>
                    <option value="kn">Saint Kitts and Nevis</option>
                    <option value="lc">Saint Lucia</option>
                    <option value="pm">Saint Pierre and Miquelon</option>
                    <option value="ws">Samoa</option>
                    <option value="sm">San Marino</option>
                    <option value="st">Sao Tome and Principe</option>
                    <option value="sa">Saudi Arabia</option>
                    <option value="sn">Senegal</option>
                    <option value="yu">Serbia and Montenegro</option>
                    <option value="sc">Seychelles</option>
                    <option value="sl">Sierra Leone</option>
                    <option value="sg">Singapore</option>
                    <option value="sk">Slovakia</option>
                    <option value="si">Slovenia</option>
                    <option value="sb">Solomon Islands</option>
                    <option value="so">Somalia</option>
                    <option value="za">South Africa</option>
                    <option value="gs">South Georgia and The South Sandwich Islands</option>
                    <option value="es">Spain</option>
                    <option value="lk">Sri Lanka</option>
                    <option value="sd">Sudan</option>
                    <option value="sr">Suriname</option>
                    <option value="sz">Swaziland</option>
                    <option value="se">Sweden</option>
                    <option value="ch">Switzerland</option>
                    <option value="sy">Syrian Arab Republic</option>
                    <option value="tw">Taiwan, Province of China</option>
                    <option value="tj">Tajikistan</option>
                    <option value="tz">Tanzania, United Republic of</option>
                    <option value="th">Thailand</option>
                    <option value="tl">Timor-leste</option>
                    <option value="tg">Togo</option>
                    <option value="tk">Tokelau</option>
                    <option value="to">Tonga</option>
                    <option value="tt">Trinidad and Tobago</option>
                    <option value="tn">Tunisia</option>
                    <option value="tr">Turkey</option>
                    <option value="tm">Turkmenistan</option>
                    <option value="tc">Turks and Caicos Islands</option>
                    <option value="tv">Tuvalu</option>
                    <option value="ug">Uganda</option>
                    <option value="ua">Ukraine</option>
                    <option value="ae">United Arab Emirates</option>
                    <option value="um">United States Minor Outlying Islands</option>
                    <option value="uy">Uruguay</option>
                    <option value="uz">Uzbekistan</option>
                    <option value="vu">Vanuatu</option>
                    <option value="vg">Venezuela</option>
                    <option value="vn">Viet Nam</option>
                    <option value="ve">Virgin Islands, British</option>
                    <option value="vi">Virgin Islands, U.S.</option>
                    <option value="wf">Wallis and Futuna</option>
                    <option value="eh">Western Sahara</option>
                    <option value="ye">Yemen</option>
                    <option value="zm">Zambia</option>
                    <option value="zw">Zimbabwe</option>
                    <option value="" selected="yes">Other</option>
                </select>
            </div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_province">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/main.province" /></div>
            <div class="module_phonebook_details_field_val" id="module_phonebook_details_province"></div>
            <div class="module_phonebook_details_field_val_input">
                <input type="text" class="module_phonebook_editable_details" id="module_phonebook_details_province_input" />
                <select class="cti_md module_phonebook_editable_details" id="module_phonebook_details_province_it_select_select">
                	<option value=""></option>
                    <option value="Abruzzo">Abruzzo</option>
                    <option value="Basilicata">Basilicata</option>
                    <option value="Campania">Campania</option>
                    <option value="Calabria">Calabria</option>
                    <option value="Emilia Romagna">Emilia Romagna</option>
                    <option value="Friuli-Venezia Giulia">Friuli-Venezia Giulia</option>
                    <option value="Lazio">Lazio</option>
                    <option value="Liguria">Liguria</option>
                    <option value="Lombardia">Lombardia</option>
                    <option value="Marche">Marche</option>
                    <option value="Molise">Molise</option>
                    <option value="Piemonte">Piemonte</option>
                    <option value="Puglia">Puglia</option>
                    <option value="Sardegna">Sardegna</option>
                    <option value="Sicilia">Sicilia</option>
                    <option value="Toscana">Toscana</option>
                    <option value="Trentino-Alto Adige">Trentino-Alto Adige</option>
                    <option value="Valle d`Aosta">Valle d`Aosta</option>
                    <option value="Veneto">Veneto</option>
                    <option value="Umbria">Umbria</option>
                </select>
            </div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_date_birth">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/main.date_birth" /></div>
            <div class="module_phonebook_details_field_val" id="module_phonebook_details_date_birth"></div>
            <div class="module_phonebook_details_field_val_input"><input type="text" readOnly="yes" class="cti_md module_phonebook_editable_details" id="module_phonebook_details_date_birth_input" /></div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_born_in">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/main.born_in" /></div>
            <div class="module_phonebook_details_field_val" id="module_phonebook_details_born_in"></div>
            <div class="module_phonebook_details_field_val_input"><input type="text" class="cti_md module_phonebook_editable_details" id="module_phonebook_details_born_in_input" /></div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_user_passport_type">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/hotels.document_type" /></div>
            <div class="module_phonebook_details_field_val" id="module_phonebook_details_user_passport_type"></div>
            <div class="module_phonebook_details_field_val_input">
                <select class="cti_md module_phonebook_editable_details" id="module_phonebook_details_user_passport_type_input">
                    <option value=""></option>
                    <option value="0"><xsl:value-of select="/root/trans_texts/hotels.passport" /></option>
                    <option value="1"><xsl:value-of select="/root/trans_texts/hotels.driving_license" /></option>
                    <option value="2"><xsl:value-of select="/root/trans_texts/hotels.national_id_card" /></option>
                </select>
            </div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_user_passport_id">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/hotels.document_number" /></div>
            <div class="module_phonebook_details_field_val" id="module_phonebook_details_user_passport_id"></div>
            <div class="module_phonebook_details_field_val_input"><input type="text" class="cti_md module_phonebook_editable_details" id="module_phonebook_details_user_passport_id_input" /></div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_document_released_on">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/main.document_released_on" /></div>
            <div class="module_phonebook_details_field_val" id="module_phonebook_details_document_released_on"></div>
            <div class="module_phonebook_details_field_val_input"><input type="text" readOnly="yes" class="cti_md module_phonebook_editable_details" id="module_phonebook_details_document_released_on_input" /></div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_document_from">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/main.document_from" /></div>
            <div class="module_phonebook_details_field_val" id="module_phonebook_details_document_from"></div>
            <div class="module_phonebook_details_field_val_input"><input type="text" class="cti_md module_phonebook_editable_details" id="module_phonebook_details_document_from_input" /></div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_type">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/main.UserClass" /></div>
            <div class="module_phonebook_details_field_val" id="module_phonebook_details_type"></div>
            <div class="module_phonebook_details_field_val_input">
                <select class="cti_md module_phonebook_editable_details" id="module_phonebook_details_type_input" name="user_class" value="">
                    <option value=""></option>
                    <option value="internal"><xsl:value-of select="/root/trans_texts/settings.features.classes.internal" /></option>
                    <option value="external"><xsl:value-of select="/root/trans_texts/settings.features.classes.external" /></option>
                    <option value="blacklist"><xsl:value-of select="/root/trans_texts/settings.features.classes.blacklist" /></option>
                    <option value="whitelist"><xsl:value-of select="/root/trans_texts/settings.features.classes.whitelist" /></option>
                </select>
            </div>
            <div style="clear:both" />
        </div>
        <div class="module_phonebook_element_div" id="module_phonebook_details_element_ringtone">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/settings.features.RING" /></div>
            <div class="module_phonebook_details_field_val" id="module_phonebook_details_ringtone"></div>
            <div class="module_phonebook_details_field_val_input">
                <select class="cti_md module_phonebook_editable_details" id="module_phonebook_details_ringtone_input" name="ringtone" value="">
                    <option value=""></option>
                </select>
                <button class="cti_md cti_md_bt_ico">
                	<xsl:attribute name="title"><xsl:value-of select="/root/trans_texts/Options.PlaySounds" /></xsl:attribute>
                	<i class="play fa fa-play"></i>
                </button>
            </div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_vat_id">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/hotels.vat_id" /></div>
            <div class="module_phonebook_details_field_val" id="module_phonebook_details_vat_id"></div>
            <div class="module_phonebook_details_field_val_input">
                <xsl:choose>
                    <xsl:when test="/root/@ipad > 0">
                        <input type="number" class="cti_md module_phonebook_editable_details" id="module_phonebook_details_vat_id_input" />
                    </xsl:when>
                    <xsl:otherwise>
                        <input type="text" class="cti_md module_phonebook_editable_details" id="module_phonebook_details_vat_id_input" />
                    </xsl:otherwise>
                </xsl:choose>
            </div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_license_plate">
            <div class="module_phonebook_details_field"><xsl:value-of select="/root/trans_texts/main.license_plate" /></div>
            <div class="module_phonebook_details_field_val" id="module_phonebook_details_license_plate"></div>
            <div class="module_phonebook_details_field_val_input"><input type="text" class="cti_md module_phonebook_editable_details" id="module_phonebook_details_license_plate_input" /></div>
            <div style="clear:both" />
        </div>

        <div class="module_phonebook_element_div" id="module_phonebook_details_element_note" style="margin-top: 20px;">
            <div class="module_phonebook_details_field"><!--<xsl:value-of select="/root/trans_texts/main.Notes" />--></div>
            <div style="clear:both" />
            <div class="module_phonebook_details_field_val module_phonebook_custom_notes" id="module_phonebook_details_note"></div>
            <div class="module_phonebook_details_field_val_input cti_md_float_label">
            	<textarea class="cti_md module_phonebook_editable_details" id="module_phonebook_details_note_input"  required="" ></textarea>
            	<label class="label_for_text" for="module_phonebook_details_note_input"><xsl:value-of select="/root/trans_texts/main.Notes"/></label>
            </div>
            <div style="clear:both" />
        </div>
    </xsl:template>

</xsl:stylesheet>
