export default class DeviceNetwork {

    constructor(data) {
        const gateways = [];
        if (data.gateways.length) {
            gateways.push(data.gateways.find(item => item.isMaster));
            gateways.push(...data.gateways.filter(item => !item.isMaster));
        }

        this.id = Number(data.id);
        this.title = String(data.title);
        this.autoTree = Boolean(data.autoTree);
        this.baseIp = String(data.baseIp);
        this.code = String(data.code);
        this.proxy = String(data.proxy);
        this.syncInternet = Boolean(data.syncInternet);
        this.gateways = gateways.map(item => item);
        this.users = data.users.map(item => item);
    }

    getGatewaysLabel() {
        const items = this.gateways.map(item => item.isMaster ? item.mac + '(M)' : item.mac + '(S)');
        return items.join(', ');
    }

    getUsersLabel() {
        const items = this.users.map(item => item.extension);
        return items.join(', ');
    }

}
