function OAuth2Applications(core){
    this.client = core.client;
}

const baseUrl = '/v1/OAuth2/Applications/';

Object.assign(OAuth2Applications.prototype, {
    namespace: 'OAuth2.Applications',
    get: function(){
        return this.client.send('GET', baseUrl);
    },
    add: function(params){
        return this.client.send('POST', baseUrl, params);
    },
    set: function(id, params){
        return this.client.send('PUT', `${baseUrl}${id}/`, params);
    },
    delete: function(id){
        return this.client.send('DELETE', `${baseUrl}${id}/`);
    }
});

export default OAuth2Applications;
