import translate from '@/modules/translate/translate';
export const MAX_ITEMS_PAGING_GROUPS = 10;

export const TIME_OUT = [
    {value: 5, text: 5},
    {value: 10, text: 10},
    {value: 15, text: 15},
    {value: 20, text: 20},
    {value: 25, text: 25},
    {value: 30, text: 30},
    {value: 40, text: 40},
    {value: 50, text: 50},
    {value: 60, text: 60},
    {value: 120, text: 120}
];

export const FREQUENCY = [
    {value: 0, text: translate('queue.announce-frequency.off')},
    {value: 30, text: 30},
    {value: 60, text: 60},
    {value: 90, text: 90},
    {value: 120, text: 120},
    {value: 150, text: 150}
];

export const HOLD_TIME = [
    {value: 'yes', text: translate('queue.announce-holdtime.yes')},
    {value: 'no', text: translate('queue.announce-holdtime.no')},
    {value: 'once', text: translate('queue.announce-holdtime.once')}
];

export const AUTO_PAUSE = [
    {value: 'no', text: translate('queue.autopause.no')},
    {value: 'yes', text: translate('queue.autopause.only-this-queue')},
    {value: 'all', text: translate('queue.autopause.for-all-queues')}
];

export const DEFAULT_RULES = [
    {value: '', text: ''},
    {value: 'pbxinternal', text: `pbxinternal (${translate('dialplan.rule.pbxinternal')})`},
    {value: 'pbxfeatures', text: `pbxfeatures (${translate('dialplan.rule.pbxfeatures')})`},
    {value: 'pbxservices', text: `pbxservices (${translate('dialplan.rule.pbxservices')})`},
    {value: 'internalcalls', text: `internalcalls (${translate('dialplan.rule.internalcalls')})`}
];

export const STRATEGIES = [
    {value: 'ringall', text: translate('queue.Strategy.ringall')},
    {value: 'roundrobin', text: translate('queue.Strategy.roundrobin')},
    {value: 'wringall', text: translate('queue.Strategy.wringall')},
    {value: 'leastrecent', text: translate('queue.Strategy.leastrecent')},
    {value: 'fewestcalls', text: translate('queue.Strategy.fewestcalls')},
    {value: 'linear', text: translate('queue.Strategy.linear')}
];

export const TABLE_COLS = [
    {
        key: 'id',
        label: translate('strings.ID'),
        sortable: true,
        tdAttr: {
            'data-type': 'id'
        },
        thStyle: {
            'width': '35px'
        }
    },
    {
        key: 'title',
        label: translate('strings.Name'),
        sortable: true,
        tdAttr: {
            'data-type': 'title'
        },
        tdClass: 'group-name'
    }
];
